#!/bin/bash
# usr/local/sbin/toggle-display.sh 
# based on /etc/acpi/screenblank.sh (Ubuntu 7.10)
#
# . /usr/share/acpi-support/power-funcs         # for getXuser
umask 022;
PATH="$PATH:/usr/bin/X11"
getXuser() {
       user=`finger| grep -m1 ":$displaynum " | awk '{print $1}'`
       if [ x"$user" = x"" ]; then
               user=`finger| grep -m1 ":$displaynum" | awk '{print $1}'`
       fi
       if [ x"$user" != x"" ]; then
               userhome=`getent passwd $user | cut -d: -f6`
               export XAUTHORITY=$userhome/.Xauthority
       else
               export XAUTHORITY=""
       fi
}
# end of getXuser from /usr/share/acpi-support/power-funcs
#
for x in /tmp/.X11-unix/*; do
   displaynum=`echo $x | sed s#/tmp/.X11-unix/X##`
   getXuser;
   if [ x"$XAUTHORITY" != x"" ]; then
       export DISPLAY=":$displaynum"
##     . /usr/share/acpi-support/screenblank.sh
       /usr/local/bin/toggle.py
   fi
done
